Subject: Ohio Perrenial and Biennial Weed Guide - JAPANESE KNOTWEED

From: David Harris <[email-masked]>
Date: Tue, 26 Dec 2006 03:31:32 +0000

http://www.oardc.ohio-state.edu/weedguide/singlerecord.asp?id=230